<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="DomainResult.Common" Version="3.0.0" />
	  <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.1" />
	  <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="6.0.2" />
	  <PackageReference Include="SixLabors.Fonts" Version="1.0.0-beta0013" />
	  <PackageReference Include="SixLabors.ImageSharp" Version="2.1.3" />
	  <PackageReference Include="SixLabors.ImageSharp.Drawing" Version="1.0.0-beta11" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Core\Core.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Fonts\Montserrat\Montserrat-Black.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-BlackItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Bold.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-BoldItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-ExtraBold.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-ExtraBoldItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-ExtraLight.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-ExtraLightItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Italic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Light.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-LightItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Medium.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-MediumItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Regular.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-SemiBold.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-SemiBoldItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-Thin.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Fonts\Montserrat\Montserrat-ThinItalic.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
